Subject: Re: [Bisected] PowerMac G5 fails booting kernel 6.6-rc3 (BUG: Unable to handle kernel data access at 0xfeffbb62ffec65fe)

From: Erhard Furtner <[email-masked]>
Date: Thu, 12 Oct 2023 16:20:50 +0200

On Thu, 12 Oct 2023 10:47:51 +1100
Michael Ellerman <[email-masked]> wrote:

> I don't see this crash on my quad G5.
> 
> I notice that your config has CONFIG_FLATMEM=y. Can you try switching to
> SPARSEMEM and see if that helps? It might help us narrow down the bug at
> least.

Your assumption was right, interesting! With CONFIG_SpARSEMEM=y my G5 boots up just fine (dmesg attached).

I did set CONFIG_FLATMEM=y in the .config as it's a G5 11,2 with a Dual-Core 970MP, not Dual-CPU as the G5 7,3. So I saw no point in using SpARSEMEM as it's a single-CPU machine.

Regards,
Erhard